using System;
using Server;
using Server.Targeting;
using Server.Items;

namespace Server.Engines.Craft
{
	public class Resmelt
	{
		public Resmelt()
		{
		}

		public static void Do( Mobile from )
		{
			from.Target = new InternalTarget();
		}

		private class InternalTarget : Target
		{
			public InternalTarget() :  base ( 2, false, TargetFlags.None )
			{
			}

			protected override void OnTarget( Mobile from, object targeted )
			{
				if ( targeted is BaseArmor )
				{
					BaseArmor armor = (BaseArmor)targeted;

					CraftSubResCol resCol = DefBlacksmithy.CraftSystem.CraftSubRes;

					for ( int i = 0; i < resCol.Count; i++ )
					{
						Type type = resCol.GetAt(i).ItemType;
						BaseIngot ingot = Activator.CreateInstance( type ) as BaseIngot;
						if ( ingot != null && ingot.Resource == armor.Resource )
						{
							CraftItemCol itemCol = DefBlacksmithy.CraftSystem.CraftItems;

							for ( int j = 0; j < itemCol.Count; j++ )
							{
								if ( armor.GetType() == itemCol.GetAt(j).ItemType )
								{
									ingot.Amount = itemCol.GetAt(j).Ressources.GetAt(0).Amount;
									from.AddToBackpack( ingot );
									from.PlaySound( 0x57 );
									armor.Delete();
								}
							}
						}
					}
				}
			}
		}
	}
}
