using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1450, 0x1455 )]
	public class DaemonGloves : BaseArmor
	{
		[Constructable]
		public DaemonGloves() : base( 0x1450, 46, ArmorMaterialType.Bone, ArmorBodyType.Gloves )
		{
			Name = "daemon bone gloves";
			Weight = 1;
			DexBonus = -1;
			StrRequirement = 40;
			Hue = 0x648;
		}

		public DaemonGloves( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}