using System;
using Server.Items;

namespace Server.Items
{
	public class Bascinet : BaseArmor
	{
		[Constructable]
		public Bascinet() : base( 0x140C, 18, ArmorMaterialType.Plate, ArmorBodyType.Helmet )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 10;
		}

		public Bascinet( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}