using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13BB, 0x13C0 )]
	public class ChainCoif : BaseArmor
	{
		[Constructable]
		public ChainCoif() : base( 0x13BB, 28, ArmorMaterialType.Chainmail, ArmorBodyType.Helmet )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 20;
		}

		public ChainCoif( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}