using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13cd, 0x13c5 )]
	public class LeatherArms : BaseArmor
	{
		[Constructable]
		public LeatherArms() : base( 0x13CD, 13, ArmorMaterialType.Leather, ArmorBodyType.Arms )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 15;
		}

		public LeatherArms( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}