using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13ee, 0x13ef )]
	public class RingmailArms : BaseArmor
	{
		[Constructable]
		public RingmailArms() : base( 0x13EE, 22, ArmorMaterialType.Ringmail, ArmorBodyType.Arms )
		{
			Weight = 1;
			DexBonus = -1;
			StrRequirement = 20;
		}

		public RingmailArms( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}