using System;
using Server.Items;

namespace Server.Items
{
	public class LeatherGorget : BaseArmor
	{
		[Constructable]
		public LeatherGorget() : base( 0x13C7, 13, ArmorMaterialType.Leather, ArmorBodyType.Gorget )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 10;
		}

		public LeatherGorget( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}