using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1c08, 0x1c09 )]
	public class LeatherSkirt : BaseArmor
	{
		public override bool AllowMaleWearer{ get{ return false; } }

		[Constructable]
		public LeatherSkirt() : base( 0x1C08, 13, ArmorMaterialType.Leather, ArmorBodyType.Legs )
		{
			Weight = 3;
			DexBonus = 0;
			StrRequirement = 10;
		}

		public LeatherSkirt( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}