using System;
using Server.Items;

namespace Server.Items
{
	public class StuddedGorget : BaseArmor
	{
		[Constructable]
		public StuddedGorget() : base( 0x13D6, 16, ArmorMaterialType.Studded, ArmorBodyType.Gorget )
		{
			Weight = 2;
			DexBonus = 0;
			StrRequirement = 25;
		}

		public StuddedGorget( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}